Bug 56750 - anaconda fails to setup loopback ethernet device/interface
Summary: anaconda fails to setup loopback ethernet device/interface
Status: CLOSED NOTABUG
Alias: None
Product: Red Hat Linux
Classification: Retired
Component: anaconda (Show other bugs)
(Show other bugs)
Version: 7.2
Hardware: i386 Linux
medium
low
Target Milestone: ---
Assignee: Brent Fox
QA Contact: Brock Organ
URL:
Whiteboard:
Keywords:
Depends On:
Blocks:
TreeView+ depends on / blocked
 
Reported: 2001-11-26 21:57 UTC by Eric Rostetter
Modified: 2007-04-18 16:38 UTC (History)
0 users

Fixed In Version:
Doc Type: Bug Fix
Doc Text:
Story Points: ---
Clone Of:
Environment:
Last Closed: 2001-11-28 21:25:58 UTC
Type: ---
Regression: ---
Mount Type: ---
Documentation: ---
CRM:
Verified Versions:
Category: ---
oVirt Team: ---
RHEL 7.3 requirements from Atomic Host:
Cloudforms Team: ---


Attachments (Terms of Use)

Description Eric Rostetter 2001-11-26 21:57:24 UTC
From Bugzilla Helper:
User-Agent: Mozilla/4.77 [en] (X11; U; Linux 2.4.4 i686)

Description of problem:
During a kickstart install, anaconda correctly configures eth0 for use in
the %post
install phase, but doesn't correctly setup the loopback (lo) device.  Some
comands
that try to access the loopback device then hang for 3 minutes (per access)
for a 
timeout, making the post install very slow (if using commands that access
the device).
We've implemented a work-around by making the first thing in our
post-install be:
/sbin/ifconfig lo 127.0.0.1 

Version-Release number of selected component (if applicable):


How reproducible:
Always

Steps to Reproduce:
1. Install redhat 7.2 with a kickstart script
2. In the %post section use a command the requires lo (such as
/usr/sbin/checkpc)
	

Actual Results:  Any program which requires access to lo hangs for 3
minutes, then times 
out and continues (or whatever, depending on the program).  No other ill
effects seen other
than very slow install times.

Expected Results:  Up until 7.2, the lo device was configured for the %post
section.  
Don't see any documentation for a change, so I'd expect it to be there in
7.2 also.

Additional info:

We do use a custom-cdrom made from the RH7.2 cdrom with all the released
updated
rpms on it (including kernels).  But I believe this happens even with the
stock cdrom
as well.  Does not happen with any releases before 7.2.  We have a rather
simple
work around of configuring the interface manually during the %pre and/or
%post
stages of the kickstart.

Comment 1 Jeremy Katz 2001-11-28 21:25:51 UTC
I don't see any network devices set up in the post-install phase on a CDROM
install, and it looks right (both eth0 and lo0 up) on a network install. 

Are you sure that you're not bringing up eth0 in the ?post also as that's the
only way I can think of that it would be up.

Comment 2 Brent Fox 2002-01-21 05:00:00 UTC
Closing due to inactivity.  Please reopen if you have more information.


Note You need to log in before you can comment on or make changes to this bug.